curl --request GET \
--url https://thirdparty.qonto.com/v2/statements \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/statements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statements": [
{
"id": "08544790-6305-4a85-8487-e035290bcee8",
"bank_account_id": "9f4af770-344b-42c1-a592-6a2adf82a6d3",
"period": "08-2024",
"file": {
"file_name": "<string>",
"file_content_type": "application/pdf",
"file_size": "16966",
"file_url": "<string>"
}
}
],
"meta": {
"current_page": 2,
"next_page": 3,
"prev_page": 1,
"total_pages": 11,
"total_count": 210,
"per_page": 20
}
}List statements
OAuth scope: organization.read
Retrieves the list of statements for the authenticated organization.
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Query Parameters
Statements can be filtered by their bank_account_id.
⚠️ ibans and bank_account_ids are mutually exclusive and cannot be used together.
"bank_account_ids[]=3591c988-8a98-4592-9665-0d9a55a5bf34&bank_account_ids[]=b71ec2ad-bd18-4a02-be4c-ba7b5e8d621f"
Statements can be filtered by their iban.
⚠️ ibans and bank_account_ids are mutually exclusive and cannot be used together.
"ibans[]=IT56O3609201600026403832768&ibans[]=IT31U3609201600955642496269"
Statements can be filtered by their period. This filter can be used in combination with the period_to query parameter to get statements for a specific timeframe. Please use a valid date format (ISO 8601 for instance).
"01-2023"
Statements can be filtered by their period. This filter can be used in combination with the period_from query parameter to get statements for a specific timeframe. Please use a valid date format (ISO 8601 for instance).
"12-2023"
Returned page (cf. Pagination).
2
Statements can be sorted by their period in 2 possible directions: asc (Ascending) / desc (Descending).
"period:asc"
Was this page helpful?